# AP4_VisualSampleEntry Class Reference

`#include <Ap4SampleEntry.h>`

Inheritance diagram for AP4_VisualSampleEntry:

List of all members.

## Public Member Functions
| AP4_VisualSampleEntry (AP4_Atom::Type format, AP4_UI16 width, AP4_UI16 height, AP4_UI16 depth, const char *compressor_name)
| AP4_VisualSampleEntry (AP4_Atom::Type format, AP4_Size size, AP4_ByteStream &stream, AP4_AtomFactory &atom_factory)
AP4_UI16 | GetWidth ()
AP4_UI16 | GetHeight ()
AP4_UI16 | GetHorizResolution ()
AP4_UI16 | GetVertResolution ()
AP4_UI16 | GetDepth ()
const char * | GetCompressorName ()
AP4_SampleDescription * | ToSampleDescription ()
virtual AP4_SampleDescription * | ToTargetSampleDescription (AP4_UI32 format)
## Protected Member Functions
virtual AP4_Size | GetFieldsSize ()
virtual AP4_Result | ReadFields (AP4_ByteStream &stream)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
## Protected Attributes
AP4_UI16 | m_Predefined1
AP4_UI16 | m_Reserved2
AP4_UI08 | m_Predefined2 [12]
AP4_UI16 | m_Width
AP4_UI16 | m_Height
AP4_UI32 | m_HorizResolution
AP4_UI32 | m_VertResolution
AP4_UI32 | m_Reserved3
AP4_UI16 | m_FrameCount
AP4_String | m_CompressorName
AP4_UI16 | m_Depth
AP4_UI16 | m_Predefined3

## Detailed Description

Definition at line 148 of file Ap4SampleEntry.h.

## Constructor & Destructor Documentation

AP4_VisualSampleEntry::AP4_VisualSampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_UI16 | width,
|  | AP4_UI16 | height,
|  | AP4_UI16 | depth,
|  | const char * | compressor_name |
| ) |  |  |

AP4_VisualSampleEntry::AP4_VisualSampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_Size | size,
|  | AP4_ByteStream & | stream,
|  | AP4_AtomFactory & | atom_factory |
| ) |  |  |

## Member Function Documentation

AP4_UI16 AP4_VisualSampleEntry::GetWidth | ( |  | ) | `[inline]`

Definition at line 163 of file Ap4SampleEntry.h.

References m_Width.

AP4_UI16 AP4_VisualSampleEntry::GetHeight | ( |  | ) | `[inline]`

Definition at line 164 of file Ap4SampleEntry.h.

References m_Height.

AP4_UI16 AP4_VisualSampleEntry::GetHorizResolution | ( |  | ) | `[inline]`

Definition at line 165 of file Ap4SampleEntry.h.

References m_HorizResolution.

AP4_UI16 AP4_VisualSampleEntry::GetVertResolution | ( |  | ) | `[inline]`

Definition at line 166 of file Ap4SampleEntry.h.

References m_VertResolution.

AP4_UI16 AP4_VisualSampleEntry::GetDepth | ( |  | ) | `[inline]`

Definition at line 167 of file Ap4SampleEntry.h.

References m_Depth.

const char* AP4_VisualSampleEntry::GetCompressorName | ( |  | ) | `[inline]`

Definition at line 168 of file Ap4SampleEntry.h.

References AP4_String::GetChars(), and m_CompressorName.

AP4_SampleDescription* AP4_VisualSampleEntry::ToSampleDescription | ( |  | ) | `[virtual]`

Reimplemented from AP4_SampleEntry.

Reimplemented in AP4_EncvSampleEntry, and AP4_MpegVideoSampleEntry.

virtual AP4_SampleDescription* AP4_VisualSampleEntry::ToTargetSampleDescription | ( | AP4_UI32 | format | ) | `[virtual]`

virtual AP4_Size AP4_VisualSampleEntry::GetFieldsSize | ( |  | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_VisualSampleEntry::ReadFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_VisualSampleEntry::WriteFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_VisualSampleEntry::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

## Member Data Documentation

AP4_UI16 AP4_VisualSampleEntry::m_Predefined1`[protected]`

Definition at line 187 of file Ap4SampleEntry.h.

AP4_UI16 AP4_VisualSampleEntry::m_Reserved2`[protected]`

Definition at line 188 of file Ap4SampleEntry.h.

AP4_UI08 AP4_VisualSampleEntry::m_Predefined2[12]`[protected]`

Definition at line 189 of file Ap4SampleEntry.h.

AP4_UI16 AP4_VisualSampleEntry::m_Width`[protected]`

Definition at line 190 of file Ap4SampleEntry.h.

Referenced by GetWidth().

AP4_UI16 AP4_VisualSampleEntry::m_Height`[protected]`

Definition at line 191 of file Ap4SampleEntry.h.

Referenced by GetHeight().

AP4_UI32 AP4_VisualSampleEntry::m_HorizResolution`[protected]`

Definition at line 192 of file Ap4SampleEntry.h.

Referenced by GetHorizResolution().

AP4_UI32 AP4_VisualSampleEntry::m_VertResolution`[protected]`

Definition at line 193 of file Ap4SampleEntry.h.

Referenced by GetVertResolution().

AP4_UI32 AP4_VisualSampleEntry::m_Reserved3`[protected]`

Definition at line 194 of file Ap4SampleEntry.h.

AP4_UI16 AP4_VisualSampleEntry::m_FrameCount`[protected]`

Definition at line 195 of file Ap4SampleEntry.h.

AP4_String AP4_VisualSampleEntry::m_CompressorName`[protected]`

Definition at line 196 of file Ap4SampleEntry.h.

Referenced by GetCompressorName().

AP4_UI16 AP4_VisualSampleEntry::m_Depth`[protected]`

Definition at line 197 of file Ap4SampleEntry.h.

Referenced by GetDepth().

AP4_UI16 AP4_VisualSampleEntry::m_Predefined3`[protected]`

Definition at line 198 of file Ap4SampleEntry.h.

The documentation for this class was generated from the following file:

- Ap4SampleEntry.h